import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'hi_bugly_method_channel.dart';

abstract class HiBuglyPlatform extends PlatformInterface {
  /// Constructs a HiBuglyPlatform.
  HiBuglyPlatform() : super(token: _token);

  static final Object _token = Object();

  static HiBuglyPlatform _instance = MethodChannelHiBugly();

  /// The default instance of [HiBuglyPlatform] to use.
  ///
  /// Defaults to [MethodChannelHiBugly].
  static HiBuglyPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [HiBuglyPlatform] when
  /// they register themselves.
  static set instance(HiBuglyPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }

  Future<bool?> initialize({
    required String appID,
    bool debug = false,
  }) {
    throw UnimplementedError('initialize() has not been implemented.');
  }
}
