import 'package:flutter_test/flutter_test.dart';
import 'package:hi_bugly/hi_bugly.dart';
import 'package:hi_bugly/hi_bugly_platform_interface.dart';
import 'package:hi_bugly/hi_bugly_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockHiBuglyPlatform
    with MockPlatformInterfaceMixin
    implements HiBuglyPlatform {
  @override
  Future<String?> getPlatformVersion() => Future.value('42');

  @override
  Future<bool?> initialize({
    required appID,
    bool debug = false,
  }) {
    // TODO: implement initialize
    throw UnimplementedError();
  }
}

void main() {
  final HiBuglyPlatform initialPlatform = HiBuglyPlatform.instance;

  test('$MethodChannelHiBugly is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelHiBugly>());
  });

  test('getPlatformVersion', () async {
    HiBugly hiBuglyPlugin = HiBugly();
    MockHiBuglyPlatform fakePlatform = MockHiBuglyPlatform();
    HiBuglyPlatform.instance = fakePlatform;

    expect(await hiBuglyPlugin.getPlatformVersion(), '42');
  });
}
